Subject: bug#13508: Odd chinese characters

From: Louis <[email-masked]>
Date: Sun, 20 Jan 2013 03:55:51 -0500

I just clean installed GNU Emacs 24.2.1 and I noticed a very annoying 
problem; when pasting from X, anything gets switched to chinese characters.
Examples:
if I copy "foo" in my X clipboard and edit->paste into X11 emacs, I get 
this: "潦o",
if I copy "bar baz hello foo" in my X clipboard and edit->paste into X11 
emacs, I get this: "慢⁲慢⁺敨汬⁯潦o".

(emacs-version): GNU Emacs 24.2.1 (x86_64-suse-linux-gnu, GTK+ Version 
3.4.4) of 2012-10-10 on build20
I would appreciate any workaround or suggested fixes. Thanks!